import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsDto, UploadStatisticsUnboxedDto } from "../../../../statistics/storage/dtos/shared/UploadStatisticsDto";
import { PermaCacheStatisticsDto, PermaCacheStatisticsUnboxedDto } from "../../../../statistics/storage/dtos/shared/PermaCacheStatisticsDto";
export interface StorageStatisticsDto {
    all: StorageStatisticsSegmentDto;
    permaCache: PermaCacheStatisticsDto;
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    permaCache: PermaCacheStatisticsUnboxedDto;
    uploads: UploadStatisticsUnboxedDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
